Skip to main content

Resource Jobs Actions

https://api.app.wnology.io/applications/APPLICATION_ID/resource-jobs

Below are the various requests that can be performed against the Resource Jobs resource, as well as the expected parameters and the potential responses.

Get​

Returns the resource jobs for an application

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/resource-jobs

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, resourceJobs.*, or resourceJobs.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, id, creationDate, lastUpdated, lastExecutionRequested, resourceTypenamesortField=name
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: name, resourceTypefilterField=device
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my*job

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/resource-jobs

Successful Responses​

CodeTypeDescription
200Resource JobsCollection of resource jobs

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Post​

Create a new resource job for an application

Method And Url​

POST https://api.app.wnology.io/applications/APPLICATION_ID/resource-jobs

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, resourceJobs.*, or resourceJobs.post.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Resource Job Post schema. For example, the following would be a valid body for this request:

{
"name": "Example Resource Job",
"resourceType": "device",
"queryJson": "{ \"name\": \"my device\"}"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"name":"Example Resource Job","resourceType":"device","queryJson":"{ \"name\": \"my device\"}"}' \
https://api.app.wnology.io/applications/APPLICATION_ID/resource-jobs

Successful Responses​

CodeTypeDescription
201Resource JobSuccessfully created resource job

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 2 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key

      Error Example​

      • ▶
        {} 2 keys
        • "NotFound"
        • "Application was not found"

      Resource Job​

      Schema for a single resource job

      Resource Job Schema​

      • ▶
        {} 4 keys
        • "http://json-schema.org/draft-07/schema#"
        • "object"
        • ▶
          {} 19 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 3 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 1 key
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 3 keys
                              • ▶
                                {} 3 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 2 keys
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 1 key
                                          • ▶
                                            {} 1 key
                                            • ▶
                                              {} 3 keys
                                              • ▶
                                                {} 3 keys
                                              • false

                                            Resource Job Example​

                                            • ▶
                                              {} 11 keys
                                              • "Example Resource Job"
                                              • 60
                                              • 60000
                                              • "{}"
                                              • "6328c6c026517badf9142116"
                                              • 1
                                              • "2022-09-19T19:45:04.453Z"
                                              • "2022-09-19T19:45:04.453Z"
                                              • "6328c6c026517badf914211a"
                                              • "device"
                                              • "{ "name": "my device"}"

                                            Resource Job Post​

                                            Schema for a resource job creation

                                            Resource Job Post Schema​

                                            • ▶
                                              {} 5 keys
                                              • "http://json-schema.org/draft-07/schema#"
                                              • "object"
                                              • ▶
                                                {} 13 keys
                                                • ▶
                                                  {} 3 keys
                                                  • ▶
                                                    {} 2 keys
                                                    • ▶
                                                      {} 1 key
                                                      • ▶
                                                        {} 2 keys
                                                        • ▶
                                                          {} 2 keys
                                                          • ▶
                                                            {} 2 keys
                                                            • ▶
                                                              {} 3 keys
                                                              • ▶
                                                                {} 3 keys
                                                                • ▶
                                                                  {} 2 keys
                                                                  • ▶
                                                                    {} 1 key
                                                                    • ▶
                                                                      {} 1 key
                                                                      • ▶
                                                                        {} 3 keys
                                                                        • ▶
                                                                          {} 3 keys
                                                                        • false
                                                                        • ▶
                                                                          [] 2 items

                                                                        Resource Job Post Example​

                                                                        • ▶
                                                                          {} 3 keys
                                                                          • "Example Resource Job"
                                                                          • "device"
                                                                          • "{ "name": "my device"}"

                                                                        Resource Jobs​

                                                                        Schema for a collection of Resource Jobs

                                                                        Resource Jobs Schema​

                                                                        • ▶
                                                                          {} 3 keys
                                                                          • "http://json-schema.org/draft-07/schema#"
                                                                          • "object"
                                                                          • ▶
                                                                            {} 10 keys
                                                                            • ▶
                                                                              {} 2 keys
                                                                              • ▶
                                                                                {} 1 key
                                                                                • ▶
                                                                                  {} 1 key
                                                                                  • ▶
                                                                                    {} 1 key
                                                                                    • ▶
                                                                                      {} 1 key
                                                                                      • ▶
                                                                                        {} 1 key
                                                                                        • ▶
                                                                                          {} 1 key
                                                                                          • ▶
                                                                                            {} 1 key
                                                                                            • ▶
                                                                                              {} 2 keys
                                                                                              • ▶
                                                                                                {} 2 keys

                                                                                            Resource Jobs Example​

                                                                                            • ▶
                                                                                              {} 6 keys
                                                                                              • ▶
                                                                                                [] 1 item
                                                                                                • 1
                                                                                                • 4
                                                                                                • "name"
                                                                                                • "asc"
                                                                                                • "575ec8687ae143cd83dc4a97"

                                                                                              Was this page helpful?


                                                                                              Still looking for help? You can also search the WEGnology Forums or submit your question there.